Net::GPSD3::Cache(3pm)

NAME
Net::GPSD3::Cache - Net::GPSD3 caching object

SYNOPSIS
  use Net::GPSD3;
  my $cache=Net::GPSD3->cache; #isa Net::GPSD3::Cache
  $cache->add($obj);           #obj isa Net::GPSD3::Return::XXX

DESCRIPTION

METHODS

  add
Adds an object to the cache.

  TPV
Returns the last Net::GPSD3::Return::TPV object reported by gpsd.

  SKY
Returns the last Net::GPSD3::Return::SKY object reported by gpsd.

  DEVICES
Returns the last Net::GPSD3::Return::DEVICES object reported by gpsd.

  VERSION
Returns the last Net::GPSD3::Return::VERSION object reported by gpsd.

  ERROR
Returns the last Net::GPSD3::Return::ERROR object reported by gpsd.

  WATCH
Returns the last Net::GPSD3::Return::WATCH object reported by gpsd.

  SUBFRAME
Returns the last Net::GPSD3::Return::SUBFRAME object reported by gpsd.

BUGS
Log on RT and Send to gpsd-dev email list

SUPPORT
DavisNetworks.com supports all Perl applications including this package.

Try gpsd-dev email list

AUTHOR
  Michael R. Davis
  CPAN ID: MRDVT
  STOP, LLC
  domain=>michaelrdavis,tld=>com,account=>perl
  http://www.stopllc.com/

COPYRIGHT
This program is free software licensed under the...

  The BSD License

The full text of the license can be found in the LICENSE file included with this module.

SEE ALSO
Net::GPSD3